Bug 1847220 - Review Request: bgpq4 - Automate BGP filter generation based on routing database information
Summary: Review Request: bgpq4 - Automate BGP filter generation based on routing datab...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-16 00:43 UTC by Robert Scheck
Modified: 2020-07-15 02:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-01 01:10:29 UTC
Type: Bug
mail: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2020-06-16 00:43:00 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/bgpq4.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/bgpq4-0.0.6-1.src.rpm
Description: The bgpq4 utility can be used to generate BGP filter configurations such as prefix lists, (extended) access lists, policy statement terms and AS path lists based on routing database information and supports output formats for BIRD, Cisco, Huawei, Juniper, MikroTik, Nokia and OpenBGPD routers as well as generic JSON.
Fedora Account System Username: robert

Comment 1 Fabian Affolter 2020-06-26 09:05:44 UTC
Can you please check about the obsolete m4 macros before importing? Not sure if that's a false-positive. Thanks


Otherwise looks good, package APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "BSD (unspecified)", "BSD 3-clause "New" or "Revised" License". 24
     files have unknown license. Detailed output of licensecheck in
     /home/fab/Documents/repos/reviews/1847220-bgpq4/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: bgpq4-0.0.6-1.fc33.x86_64.rpm
          bgpq4-debuginfo-0.0.6-1.fc33.x86_64.rpm
          bgpq4-debugsource-0.0.6-1.fc33.x86_64.rpm
          bgpq4-0.0.6-1.fc33.src.rpm
bgpq4.x86_64: W: manual-page-warning /usr/share/man/man8/bgpq4.8.gz 137: warning: macro `RS' not defined
bgpq4.x86_64: W: manual-page-warning /usr/share/man/man8/bgpq4.8.gz 157: warning: macro `RE' not defined
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: bgpq4-debuginfo-0.0.6-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
bgpq4-debuginfo.x86_64: W: invalid-url URL: https://github.com/bgp/bgpq4 <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
bgpq4.x86_64: W: invalid-url URL: https://github.com/bgp/bgpq4 <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
bgpq4-debugsource.x86_64: W: invalid-url URL: https://github.com/bgp/bgpq4 <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/bgp/bgpq4/archive/0.0.6/bgpq4-0.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 612d8eb7c3de07712e43b3e03e3b9d6b9b87e14333e56df3ccf198675a87a642
  CHECKSUM(SHA256) upstream package : 612d8eb7c3de07712e43b3e03e3b9d6b9b87e14333e56df3ccf198675a87a642


Requires
--------
bgpq4 (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

bgpq4-debuginfo (rpmlib, GLIBC filtered):

bgpq4-debugsource (rpmlib, GLIBC filtered):



Provides
--------
bgpq4:
    bgpq4
    bgpq4(x86-64)

bgpq4-debuginfo:
    bgpq4-debuginfo
    bgpq4-debuginfo(x86-64)
    debuginfo(build-id)

bgpq4-debugsource:
    bgpq4-debugsource
    bgpq4-debugsource(x86-64)



AutoTools: Obsoleted m4s found
------------------------------
  AM_CONFIG_HEADER found in: bgpq4-0.0.6/configure.ac:4


Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1847220
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: PHP, Ocaml, Perl, SugarActivity, Haskell, fonts, Python, R, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Robert Scheck 2020-06-28 22:39:45 UTC
(In reply to Fabian Affolter from comment #1)
> Can you please check about the obsolete m4 macros before importing? Not sure
> if that's a false-positive. Thanks

That doesn't seem to be a false-positive, upstream pull request: https://github.com/bgp/bgpq4/pull/25

> Otherwise looks good, package APPROVED.

Thank you very much for the package review!

> bgpq4.x86_64: W: manual-page-warning /usr/share/man/man8/bgpq4.8.gz 137:
> warning: macro `RS' not defined
> bgpq4.x86_64: W: manual-page-warning /usr/share/man/man8/bgpq4.8.gz 157:
> warning: macro `RE' not defined

I'm not absolutely sure how to fix these, upstream pull request: https://github.com/bgp/bgpq4/pull/26

Comment 3 Gwyn Ciesla 2020-06-29 14:11:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/bgpq4

Comment 4 Fedora Update System 2020-06-29 20:57:38 UTC
FEDORA-2020-14ba5efee7 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-14ba5efee7

Comment 5 Fedora Update System 2020-06-29 20:58:11 UTC
FEDORA-2020-ea4784c987 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ea4784c987

Comment 6 Fedora Update System 2020-06-29 20:59:10 UTC
FEDORA-EPEL-2020-2ce181e3ab has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2ce181e3ab

Comment 7 Fedora Update System 2020-06-29 20:59:45 UTC
FEDORA-EPEL-2020-015d94092f has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-015d94092f

Comment 8 Fedora Update System 2020-06-29 21:23:36 UTC
FEDORA-EPEL-2020-7fcbb78eb7 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7fcbb78eb7

Comment 9 Fedora Update System 2020-06-30 00:43:30 UTC
FEDORA-EPEL-2020-2ce181e3ab has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2ce181e3ab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-06-30 00:50:30 UTC
FEDORA-EPEL-2020-015d94092f has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-015d94092f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-06-30 00:55:37 UTC
FEDORA-2020-ea4784c987 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-ea4784c987 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ea4784c987

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-06-30 01:13:46 UTC
FEDORA-2020-14ba5efee7 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-14ba5efee7 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-14ba5efee7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-06-30 01:36:30 UTC
FEDORA-EPEL-2020-7fcbb78eb7 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7fcbb78eb7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-07-01 01:10:29 UTC
FEDORA-EPEL-2020-015d94092f has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-07-01 01:37:14 UTC
FEDORA-2020-ea4784c987 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-07-01 01:50:37 UTC
FEDORA-2020-14ba5efee7 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-07-01 02:38:55 UTC
FEDORA-EPEL-2020-2ce181e3ab has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-07-15 02:19:08 UTC
FEDORA-EPEL-2020-7fcbb78eb7 has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.